Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

Main Page | Modules | Namespace List | Class Hierarchy | Class List | Namespace Members | Class Members | Related Pages

# openvrml::vrml97_node::movie_texture_node::set_speed_listener Class Reference

Inheritance diagram for openvrml::vrml97_node::movie_texture_node::set_speed_listener:

[legend]
List of all members.

## Detailed Description

set_speed eventIn handler.

For internal use only.

Unlike most exposedFields which are implemented either with an instance of the exposedfield template or a class derived from it, MovieTexture's speed exposedField is implemented using the listener and emitter primitives. This is because unlike most exposedFields, changes to the speed field (that is, set_speed events) are ignored if the node is not active.

## Public Member Functions
| set_speed_listener (movie_texture_node &node)
| Constructor.
virtual | ~set_speed_listener () throw ()
| Destroy.
## Private Member Functions
virtual void | do_process_event (const sffloat &speed, double timestamp) throw (std::bad_alloc)
| Process event.

## Constructor & Destructor Documentation

openvrml::vrml97_node::movie_texture_node::set_speed_listener::set_speed_listener | ( | movie_texture_node & | node | ) | `[explicit]`

  | Constructor. Parameters:
  | node | movie_texture_node.

openvrml::vrml97_node::movie_texture_node::set_speed_listener::~set_speed_listener | ( |  | ) | throw ()`[virtual]`

| Destroy.

## Member Function Documentation

void openvrml::vrml97_node::movie_texture_node::set_speed_listener::do_process_event | ( | const sffloat & | speed,
|  | double | timestamp
| ) | throw (std::bad_alloc)`[private, virtual]`

  | Process event. Parameters:
  | speed | speed value.
  | timestamp | the current time.
  Exceptions:
  | std::bad_alloc | if memory allocation fails.
Implements openvrml::field_value_listener< sffloat >.